Logo
OpenScaler

Kubernetes create options

GET
/v1/kubernetes/options

Returns form options for creating a Kubernetes cluster (regions, versions, sizes, etc.).

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/kubernetes/options"
{  "options": {    "regions": [      {        "id": "dz",        "name": "Algeria",        "flagUrl": "/static/img/flags/dz.png",        "zones": [          {            "id": "alg1",            "idRegion": "dz",            "name": "Algiers Zone A"          }        ]      }    ],    "versions": [      {        "id": "1.32.2",        "kubernetes_version": "1.32.2",        "release_date": "2025-01-15",        "optimized": true,        "disabled": false      }    ],    "sizes": [      {        "id": "b-2-4-100",        "type": "b-2-4-100",        "cpu": 2,        "vCPUs": 2,        "ram": 4096,        "storage": {          "value": 100,          "unity": "GiB",          "type": "NVME"        },        "transfer": 2,        "pricePerHour": 0.03,        "pricePerMonth": 20,        "available": true      }    ],    "containerRuntime": [      {        "id": 1,        "container": "Containerd-1.7.14"      }    ],    "sharedVolumes": []  }}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}